Поддержка Проблемы и решения Вылезла ошибка Fatal Error — Help!!

  • Доброго вечера! Помогите решить проблему вылезла такая ошибка
    Fatal error: Cannot redeclare class WP_Roles in /home/fasad99/fasad99.ru/docs/wp-includes/class-wp-roles.php on line 26

    Страница class_wp_roles строка 26 выделена

    <?php
    /**
     * User API: WP_Roles class
     *
     * @package WordPress
     * @subpackage Users
     * @since 4.4.0
     */
    
    /**
     * Core class used to implement a user roles API.
     *
     * The role option is simple, the structure is organized by role name that store
     * the name in value of the 'name' key. The capabilities are stored as an array
     * in the value of the 'capability' key.
     *
     *     array (
     *    		'rolename' => array (
     *    			'name' => 'rolename',
     *    			'capabilities' => array()
     *    		)
     *     )
     *
     * @since 2.0.0
     */
    class WP_Roles {
    	/**
    	 * List of roles and capabilities.
    	 *
    	 * @since 2.0.0
    	 * @access public
    	 * @var array
    	 */
    	public $roles;

    Сделал резервное копирование, через rucenter, версия wordpress была 3.9.1,обновил до 4.2.1. отключив плагины и все удачно обновилось но после обновления и активации плагинов с толкнулся с проблемой несовместимости плагина wordpress-seo(Yoast SEO). После чего я решил вернуть старую версию, путем возврата архивного файла(((

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • 3.9.1,обновил до 4.2.1.

    Сейчас актуальна версия 4.4.2

    с проблемой несовместимости плагина wordpress-seo(Yoast SEO)

    Это навряд ли. Причина скорее всего в другом. Как мне кажется глядя на ваш код причина связана с каким либо плагином, для ролей пользователей или возможно с настройками ролей пользователей. которые могут быть внедрены в вашу тему.

    После чего я решил вернуть старую версию

    Это называется Вперед! В прошлое! ))))

    Надо выявлять проблему и обновлять WP и плагины до текущих версий. Плагины. которые оказываются несовместимыми с текущей версией WP удалять безжалостно и искать их аналоги.

    Модератор Yui

    (@fierevere)

    ゆい

    а просто отключить плагины
    обновить вп до актуальной версии (пошагово 3.9 — 4.0 — 4.1 — 4.2 — 4.3)
    архивы веток брать тут http://ru.wordpress.org/releases/
    заходя после каждого шага в админку и обновляя плагины
    потом включить плагины
    не поможет ли?

    мне вот тут недавно ВП 3.4 обновлять пришлось ) И ничего не улетело, кроме какого-то странного кеш плагина, который надо бы заменить на wp-supercache было бы все равно

    То есть, как я понял нужно удалить старый плагин wordpress seo и если все заработает найти новый совместимый с моей версией?

    Модератор Yui

    (@fierevere)

    ゆい

    не удалить, а деактивировать на время обновления
    и в процессе обновления ВП обновить и сам плагин,
    обновление некоторых плагинов блокируется если они не удовлетворяют минимальной версии WP
    Yoast корректно работает с WP 4.3.2 , 4.4.2 как версия 2.3.5 так и 3.х

    а просто отключить плагины
    обновить вп до актуальной версии (пошагово 3.9 — 4.0 — 4.1 — 4.2 — 4.3)
    архивы веток брать тут http://ru.wordpress.org/releases/
    заходя после каждого шага в админку и обновляя плагины
    потом включить плагины
    не поможет ли?

    Я так и делал но после обновления и активации плагина wordpress seo и появилась первая проблема и войди в админку теперь не могу, после чего я не стал удалять это плагин, и сейчас понимаю что зря а просто решил вернуть ворд пресс к старой версии путем архивного файла.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    версия wordpress была 3.9.1,обновил до 4.2.1.

    Тогда откуда в wp-includes/class-wp-roles.php надпись @since 4.4.0?

    Стоит убедиться, что все файлы в каталогах wp-admin, wp-includes и в корне сайта относятся к одной и той же версии.

    Стоит убедиться, что все файлы в каталогах wp-admin, wp-includes и в корне сайта относятся к одной и той же версии.

    спасибо, я как раз этим и занимаюсь, проблема наверно в том что я откатил с новой версии на старую чего делать нельзя, мне надо было сделать backup уже новой версии, тогда проблемы была бы решена быстро. Но так как у меня есть архив старой и я его по незнанию решил перезалить вот тут и появилась моя ошибка. Попробую удалить и заново из архива добавить в каталог wp-admin, wp-includes архивную версию, как я уже читал Фанзила может мне в этом помочь,может что и выйдет.

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Тема «Вылезла ошибка Fatal Error — Help!!» закрыта для новых ответов.